## ros-kinetic-tf2-eigen 0.5.20

=== debian/changelog ===
ros-kinetic-tf2-eigen (0.5.20-0xenial) xenial; urgency=high



 -- Koji Terada <terakoji@gmail.com>  Fri, 16 Nov 2018 08:00:00 -0000

ros-kinetic-tf2-eigen (0.5.19-0xenial) xenial; urgency=high

  * improve comments
  * add Eigen::Isometry3d conversions
  * normalize quaternions to be in half-space w >= 0 as in tf1
  * improve computation efficiency
  * Contributors: Robert Haschke

 -- Koji Terada <terakoji@gmail.com>  Tue, 06 Nov 2018 08:00:00 -0000

ros-kinetic-tf2-eigen (0.5.18-0xenial) xenial; urgency=high

  * Adds toMsg & fromMsg for Eigen Vector3 (#294 <https://github.com/ros/geometry2/issues/294>)
  * Adds additional conversions for tf2, KDL, Eigen (#292 <https://github.com/ros/geometry2/issues/292>)
  * Contributors: Ian McMahon

 -- Koji Terada <terakoji@gmail.com>  Tue, 10 Jul 2018 07:00:00 -0000

ros-kinetic-tf2-eigen (0.5.17-0xenial) xenial; urgency=high



 -- Koji Terada <terakoji@gmail.com>  Mon, 01 Jan 2018 08:00:00 -0000

ros-kinetic-tf2-eigen (0.5.16-0xenial) xenial; urgency=high

  * fix return value to prevent warnings on windows (#237 <https://github.com/ros/geometry2/issues/237>)
  * fixing include directory order to support overlays (#231 <https://github.com/ros/geometry2/issues/231>)
  * tf2_eigen: added support for Quaternion and QuaternionStamped (#230 <https://github.com/ros/geometry2/issues/230>)
  * Remove an unused variable from the tf2_eigen test. (#215 <https://github.com/ros/geometry2/issues/215>)
  * Find eigen in a much nicer way.
  * Switch tf2_eigen to use package.xml format 2. (#216 <https://github.com/ros/geometry2/issues/216>)
  * Contributors: Chris Lalancette, Mikael Arguedas, Tully Foote, cwecht

 -- Koji Terada <terakoji@gmail.com>  Fri, 14 Jul 2017 07:00:00 -0000

ros-kinetic-tf2-eigen (0.5.15-0xenial) xenial; urgency=high

  * fixup #186 <https://github.com/ros/geometry2/issues/186>: inline template specializations (#200 <https://github.com/ros/geometry2/issues/200>)
  * Contributors: Robert Haschke

 -- Koji Terada <terakoji@gmail.com>  Tue, 24 Jan 2017 08:00:00 -0000

ros-kinetic-tf2-eigen (0.5.14-0xenial) xenial; urgency=high

  * Add tf2_eigen conversions for Pose and Point (not stamped) (#186 <https://github.com/ros/geometry2/issues/186>)
    * tf2_eigen: added conversions for Point msg type (not timestamped) to Eigen::Vector3d
    * tf2_eigen: added conversions for Pose msg type (not timestamped) to Eigen::Affine3d
    * tf2_eigen: new functions are inline now
    * tf2_eigen test compiling again
    * tf2_eigen: added tests for Affine3d and Vector3d conversion
    * tf2_eigen: added redefinitions of non-stamped conversion function to make usage in tf2::convert() possible
    * tf2_eigen: reduced redundancy by reusing non-stamped conversion-functions in their stamped counterparts
    * tf2_eigen: added notes at doTransform-implementations which can not work with tf2_ros::BufferInterface::transform
    * tf2_eigen: fixed typos
  * Don't export local include dirs (#180 <https://github.com/ros/geometry2/issues/180>)
  * Improve documentation.
  * Contributors: Jackie Kay, Jochen Sprickerhof, cwecht

 -- Koji Terada <terakoji@gmail.com>  Mon, 16 Jan 2017 08:00:00 -0000

ros-kinetic-tf2-eigen (0.5.13-0xenial) xenial; urgency=high

  * Added missing inline
  * Added unit test
    - Testing conversion to msg forward/backward
  * Added eigenTotransform function
  * Contributors: Davide Tateo, boris-il-forte

 -- Koji Terada <terakoji@gmail.com>  Fri, 04 Mar 2016 08:00:00 -0000

ros-kinetic-tf2-eigen (0.5.12-0xenial) xenial; urgency=high



 -- Koji Terada <terakoji@gmail.com>  Wed, 05 Aug 2015 07:00:00 -0000

ros-kinetic-tf2-eigen (0.5.11-0xenial) xenial; urgency=high



 -- Koji Terada <terakoji@gmail.com>  Wed, 22 Apr 2015 07:00:00 -0000

ros-kinetic-tf2-eigen (0.5.10-0xenial) xenial; urgency=high

  * fixing CMakeLists.txt from #97 <https://github.com/ros/geometry_experimental/issues/97>
  * create tf2_eigen.
  * Contributors: Tully Foote, koji

 -- Koji Terada <terakoji@gmail.com>  Tue, 21 Apr 2015 07:00:00 -0000
